(* spuscit s parametrami r s (tak do devat kazde) *)

program matic;

const Ri     = 6; (* default_riadkov     *)
      Si     = 4; (* default_stlpcov     *)
      MAXON  = 9; (* maxi_rozmer         *)
      ROZSAH = 9; (* maxi_rozsah_randomu *)

var   i, j, r, s : integer;
      rio, sio   : string;
      A : array[0..MAXON, 0..MAXON] of integer;
      T : array[0..MAXON, 0..MAXON] of integer;


begin
  (* osetrovacka parametrov *)
  if paramcount=2 then begin
    rio:=paramstr(1);
    sio:=paramstr(2);
    r:=ord(rio[1])-ord('0');
    s:=ord(sio[1])-ord('0');
    if (r<1) or (r>MAXON) then r:=Ri;
    if (s<1) or (s>MAXON) then s:=Si;
  end
  else begin
    r:=Ri;
    s:=Si;
  end;

  (* naplnenie matice A *)
  randomize;
  for i:=1 to r do begin
    for j:=1 to s do begin
      A[i,j]:=random(ROZSAH);
      write(A[i,j], '   ');
    end;
    writeln;
  end;

  writeln;

  (* transformers of the robots *)
  for i:=1 to s do begin
    for j:=1 to r do begin
      T[i,j]:=A[j,i];
      write(T[i,j], '   ');
    end;
    writeln;
  end;

  readln;
end. 